Docs
Webhooks

List webhooks

GET
/v1/webhooks

Authorization

BearerAuth
AuthorizationBearer <token>

API key (csk_live_…)

In: header

Response Body

application/json

application/json

curl -X GET "https://api.cospec.io/v1/webhooks"
{
  "data": [
    {
      "id": "string",
      "url": "http://example.com",
      "events": [
        "run.completed"
      ],
      "createdAt": "2019-08-24T14:15:22Z",
      "health": {
        "window": "24h",
        "successCount": 0,
        "failedCount": 0,
        "totalCount": 0,
        "successRate": 0,
        "lastDeliveryAt": "2019-08-24T14:15:22Z",
        "lastSuccessAt": "2019-08-24T14:15:22Z",
        "lastFailureAt": "2019-08-24T14:15:22Z",
        "lastFailureReason": "string",
        "lastStatus": "success"
      }
    }
  ]
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "requestId": "string"
}